Valstorm LogoDev

schema Endpoints

All endpoints for the schema API group. Great for feeding into an LLM context.

GET

/v1/schema

Get Schemas

Responses
200
Successful Response
application/json
{}
404
Not found
API Runner

POST

/v1/schema

Create Schema

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/SchemaCreateRequest"
      }
    }
  },
  "required": true
}
Responses
201
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

PATCH

/v1/schema

Update Schema

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/SchemaUpdateRequest"
      }
    }
  },
  "required": true
}
Responses
204
Successful Response
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/schema/{object}

Get Schema

Parameters
object*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/schema/field

Create Schema Field

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/FieldCreateUpdateRequest"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

PATCH

/v1/schema/field

Update Schema Field

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/FieldCreateUpdateRequest"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/schema/{object_id}/validation-rule

Create Validation Rule

Parameters
object_id*
in: path
type: string
Request Body
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/ValidationRuleRequest"
      }
    }
  }
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

PATCH

/v1/schema/{object_id}/validation-rule/{rule_api_name}

Update Validation Rule

Parameters
object_id*
in: path
type: string
rule_api_name*
in: path
type: string
Request Body
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/ValidationRuleRequest"
      }
    }
  }
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

DELETE

/v1/schema/{object_id}/validation-rule/{rule_api_name}

Delete Validation Rule

Parameters
object_id*
in: path
type: string
rule_api_name*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

DELETE

/v1/schema/{object_id}/{field_name}

Delete Schema Field

Parameters
object_id*
in: path
type: string
field_name*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

DELETE

/v1/schema/{schema_id}

Delete Schema Route

Parameters
schema_id*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/schema/generate/

Generate Schema

Responses
200
Successful Response
application/json
{}
404
Not found
API Runner